import { Construct } from 'constructs';
import { IBucket } from 'aws-cdk-lib/aws-s3';
import { BackendOutputStorageStrategy, ResourceProvider } from '@aws-amplify/plugin-types';
import { StorageOutput } from '@aws-amplify/backend-output-schemas';
export type AmplifyStorageProps = {
    versioned?: boolean;
    outputStorageStrategy?: BackendOutputStorageStrategy<StorageOutput>;
};
export type StorageResources = {
    bucket: IBucket;
};
/**
 * Amplify Storage CDK Construct
 *
 * Currently just a thin wrapper around an S3 bucket
 */
export declare class AmplifyStorage extends Construct implements ResourceProvider<StorageResources> {
    readonly resources: StorageResources;
    /**
     * Create a new AmplifyStorage instance
     */
    constructor(scope: Construct, id: string, props: AmplifyStorageProps);
    /**
     * Store storage outputs using provided strategy
     */
    private storeOutput;
}
//# sourceMappingURL=construct.d.ts.map